Loading...
Searching...
No Matches
expressions.h File Reference

Common expressions for solving navigation problems. More...

Go to the source code of this file.

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

typedef Expression< NavState > | gtsam::NavState_
typedef Expression< Velocity3 > | gtsam::Velocity3_

## Functions

Rot3 | gtsam::internal::attitude (const NavState &X, OptionalJacobian< 3, 9 > H)
Point3 | gtsam::internal::position (const NavState &X, OptionalJacobian< 3, 9 > H)
Velocity3 | gtsam::internal::velocity (const NavState &X, OptionalJacobian< 3, 9 > H)
Rot3_ | gtsam::attitude (const NavState_ &X)
Point3_ | gtsam::position (const NavState_ &X)
Velocity3_ | gtsam::velocity (const NavState_ &X)

## Detailed Description

Common expressions for solving navigation problems.

Date
  May, 2019

Author
  Frank Dellaert